[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: edbrowse

Jean-Philippe MENGUAL, le Sat 23 Jul 2011 19:22:42 +0200, a écrit :
> > I can't check it now with my crappy connection, but I guess it is
> > #631027. You'll probably also have to fix fix #554316 by adding -l
> > flags. 
> -l flags? Where?

Along the existing others, in LIBS.

> how?

Just append like others.

> with some arguments?

Nowadays linker will tell you.

> > Also, please try to reproduce #506613 and #570054 and close them
> > if they're fixed by the new release. If not, forward upstream.
> 570054 is fixed (was reported before 3.4.1).

Then close it by mailing 570054-done@bugs.debian.org with first line

Version: 3.4.1-1

> I guess the others will be fixed if I manage to build.

For those, close them by just putting a Closes mark in your changelog.

> override_auto_build:

The "dh_" part is missing here (which probably explains flags not being
taken into account).

> 	dh_auto_build -- CFLAGS="-I/usr/lib/icedove -DXP_UNIX" LIBS="-lpcre -lssl -lmozjs -lcurl" JSLIBS="-lmozjs" LFLAGS="" edbrowse
> 	sed -e's;^\.\.\(.\);.\1;' -e's;^ \.;.;' < doc/man-edbrowse-debian.1 > debian/edbrowse.1
> override_auto_clean:

and there.

> 	dh_auto_clean 
> 	-rm -f debian/edbrowse.1
> dh_installchangelogs:

That needs to be override_dh_installchangelogs here.


Reply to: